import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockPromoBarVariations from './block-promo-bar-variations';
import { defaultLayout } from '../.storybook/decorators';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: [],
};

<Meta
	title="Promo Bar Variations"
	decorators={[defaultLayout]}
	component={BlockPromoBarVariations}
	argTypes={addControls(argTypes, controls)}
/>

# Promo Bar Variations

Promo bar set at the page level.

It is used to display a promo bar based on variations.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockPromoBarVariations },
		template: '<block-promo-bar-variations v-bind="$props" />',
		store,
	};
};

<Canvas withSource="none">
	<Story name="default">{Template.bind({})}</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockPromoBarVariations} />
